com.amazon.redshift.plugin

## Class InternalPluginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazon.redshift.plugin.InternalPluginException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InternalServerException

    public class InternalPluginException
    extends RuntimeException

All plugin exceptional state.

At the end would be wrapped into `IOException` for API compatibility reason.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InternalPluginException(String message)` Constructor.
`InternalPluginException(String message, Throwable cause)` Constructor.
`InternalPluginException(Throwable cause)` Constructor.

### Method Summary

Methods
`static InternalPluginException` `wrap(Exception ex)` Wrap Exception in this class.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalPluginException

    public InternalPluginException(String message)

Constructor.

Parameters:
  `message` - Error message.

#### InternalPluginException

    public InternalPluginException(String message,
                           Throwable cause)

Constructor.

Parameters:
  `message` - Error message.
  `cause` - Throwable object.

#### InternalPluginException

    public InternalPluginException(Throwable cause)

Constructor.

Parameters:
  `cause` - Throwable object.

### Method Detail

#### wrap

    public static InternalPluginException wrap(Exception ex)

Wrap Exception in this class.

Parameters:
  `ex` - Exception object.
Returns:
  instance of this class.